%define pre beta9
%define __libtoolize true
Summary: XMMS input plugin for C64 SID files
Name: xmms-sid
Version: 0.8.0
Release: 0.%pre.1mdk
Source: %{name}-%{version}%pre.tar.bz2
License: GPL
Group: Sound
Buildroot: %{_tmppath}/%{name}-%{version}.build
URL: http://www.tnsp.org/xmms-sid.php
Requires: xmms 
BuildRequires: sidplay-devel
BuildRequires: sidplay2-devel
BuildRequires: libxmms-devel

%description
XMMS-SID is a plugin for XMMS (X MultiMedia System) which provides
support for playing the so-called "SID tunes", which are music
from old Commodore computer programs like games, demos, etc.

For the actual playing, XMMS-SID uses the excellent libsidplay (1|2)
emulator engine that emulates 6510 CPU and 6581/8580 Sound Interface
Device (SID) chip.

%prep
%setup -q -n %name-%version%pre

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Input/libxmmssid.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README* TODO INSTALL COPYING
%{_libdir}/xmms/Input/libxmmssid.so

%changelog
* Fri Feb 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta9.1mdk
- new version

* Sun Jan 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta8.1mdk
- new version

* Mon Jan 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta7.1mdk
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta5.3mdk
- fix buildrequires

* Tue Oct  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta5.2mdk
- fix buildrequires

* Mon Oct  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta5.1mdk
- initial Mandrake package
